#include <bits/stdc++.h>
using namespace std;

bool solve(int n, long long m, int k){
	
	if(n < m){
	
	if(n >= k){
		
				int br = (n / k);
				int br2 = (n / k) + 1;
			
				long long sum = (br * (br + 1)) / 2 * (k - (n % k));
				long long sum2 = (br2 * (br2 + 1)) / 2 * (n % k);
				
				if(sum + sum2 <= m)return true;
			
		}

}
	return false;
}

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int t;
	
	cin >> t;
	
	int n[t],k[t];
	long long m[t];
	
	for(int i = 0; i < t; i++){
		
		cin >> n[i] >> m[i] >> k[i];
		
	}
	
	for(int i = 0; i < t; i++){
		
		if(solve(n[i],m[i],k[i]))cout<<"Tak"<<"\n";
		else cout << "Nie" << "\n";
		
	}
	
	return 0;
}